Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ConnectionState

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ConnectionState

Direct Known Subclasses:
  `TdApi.ConnectionStateConnecting`, `TdApi.ConnectionStateConnectingToProxy`, `TdApi.ConnectionStateReady`, `TdApi.ConnectionStateUpdating`, `TdApi.ConnectionStateWaitingForNetwork`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.ConnectionState extends TdApi.Object permits TdApi.ConnectionStateWaitingForNetwork, TdApi.ConnectionStateConnectingToProxy, TdApi.ConnectionStateConnecting, TdApi.ConnectionStateUpdating, TdApi.ConnectionStateReady
This class is an abstract base class. Describes the current state of the connection to Telegram servers.

## Constructor Summary

Constructors
Constructor
Description
`ConnectionState()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConnectionState

public ConnectionState()
Default class constructor.